# Uses of Enum Class
org.apache.datasketches.common.ResizeFactor

Packages that use ResizeFactor
Package
Description
org.apache.datasketches.common
This package is for common classes that may be used across all the sketch families.
org.apache.datasketches.sampling
This package is dedicated to streaming algorithms that enable fixed size, uniform sampling of weighted and unweighted items from a stream.
org.apache.datasketches.theta
The theta package contains the basic sketch classes that are members of the Theta-Sketch Framework.
org.apache.datasketches.tuple
The tuple package contains a number of sketches based on the same fundamental algorithms of the Theta Sketch Framework and extend these concepts for whole new families of sketches.
org.apache.datasketches.tuple.arrayofdoubles
This package is for a concrete implementation of the Tuple sketch for an array of double values.
org.apache.datasketches.tuple.strings
This package is for a generic implementation of the Tuple sketch for single String value.

## Uses of ResizeFactor in org.apache.datasketches.common

Subclasses with type arguments of type ResizeFactor in org.apache.datasketches.common
Modifier and Type
Class
Description
`enum`
`ResizeFactor`
For the Families that accept this configuration parameter, it controls the size multiple that affects how fast the internal cache grows, when more space is required.
Methods in org.apache.datasketches.common that return ResizeFactor
Modifier and Type
Method
Description
`static ResizeFactor`
ResizeFactor.`getRF(int lg)`
Returns the Resize Factor given the Log-base 2 of the Resize Factor
`static ResizeFactor`
ResizeFactor.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ResizeFactor[]`
ResizeFactor.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of ResizeFactor in org.apache.datasketches.sampling

Methods in org.apache.datasketches.sampling with parameters of type ResizeFactor
Modifier and Type
Method
Description
`static <T> ReservoirItemsSketch<T>`
ReservoirItemsSketch.`newInstance(int k, ResizeFactor rf)`
Construct a mergeable sampling sketch with up to k samples using a specified resize factor.
`static ReservoirLongsSketch`
ReservoirLongsSketch.`newInstance(int k, ResizeFactor rf)`
Construct a mergeable reservoir sampling sketch with up to k samples using the default resize factor (8).
`static <T> VarOptItemsSketch<T>`
VarOptItemsSketch.`newInstance(int k, ResizeFactor rf)`
Construct a varopt sampling sketch with up to k samples using the specified resize factor.

## Uses of ResizeFactor in org.apache.datasketches.theta

Methods in org.apache.datasketches.theta that return ResizeFactor
Modifier and Type
Method
Description
`ResizeFactor`
ThetaSetOperationBuilder.`getResizeFactor()`
Returns the Resize Factor
`abstract ResizeFactor`
UpdatableThetaSketch.`getResizeFactor()`
Returns the configured ResizeFactor
`ResizeFactor`
UpdatableThetaSketchBuilder.`getResizeFactor()`
Returns the local Resize Factor
Methods in org.apache.datasketches.theta with parameters of type ResizeFactor
Modifier and Type
Method
Description
`ThetaSetOperationBuilder`
ThetaSetOperationBuilder.`setResizeFactor(ResizeFactor rf)`
Sets the cache Resize Factor
`UpdatableThetaSketchBuilder`
UpdatableThetaSketchBuilder.`setResizeFactor(ResizeFactor rf)`
Sets the local cache Resize Factor.

## Uses of ResizeFactor in org.apache.datasketches.tuple

Methods in org.apache.datasketches.tuple with parameters of type ResizeFactor
Modifier and Type
Method
Description
`UpdatableTupleSketchBuilder<U,S>`
UpdatableTupleSketchBuilder.`setResizeFactor(ResizeFactor resizeFactor)`
This is to set the resize factor.

## Uses of ResizeFactor in org.apache.datasketches.tuple.arrayofdoubles

Methods in org.apache.datasketches.tuple.arrayofdoubles that return ResizeFactor
Modifier and Type
Method
Description
`abstract ResizeFactor`
ArrayOfDoublesUpdatableSketch.`getResizeFactor()`
Gets the configured resize factor
Methods in org.apache.datasketches.tuple.arrayofdoubles with parameters of type ResizeFactor
Modifier and Type
Method
Description
`ArrayOfDoublesUpdatableSketchBuilder`
ArrayOfDoublesUpdatableSketchBuilder.`setResizeFactor(ResizeFactor resizeFactor)`
This is to set the resize factor.

## Uses of ResizeFactor in org.apache.datasketches.tuple.strings

Constructors in org.apache.datasketches.tuple.strings with parameters of type ResizeFactor
Modifier
Constructor
Description
``
`ArrayOfStringsTupleSketch(int lgK, ResizeFactor rf, float p)`
Constructs new sketch with given ResizeFactor, p and lgK.